Mailinglist Archive: opensuse-security (220 mails)

< Previous Next >
Re: [suse-security] suse 8.1 : ptrace exploit still working fine!?
  • From: "Olivier M." <qmail@xxxxxxxxxxxxx>
  • Date: Mon, 1 Dec 2003 00:22:52 +0100
  • Message-id: <20031201002252.O7509@xxxxxxxxxxxxx>
On Sun, Nov 30, 2003 at 03:10:43PM +0100, GertJan Spoelman wrote:
> No not just timestamps problems, that timestamp is embedded in the kernel, so
> you are actually still running an older kernel which still has the exploit.

ok

> The fact that rpm -V checks out ok does not mean you are running that kernel,
> it ony means that you indeed installed the update, to run the new kernel your
> bootloader has to point to it and you must reboot.

yes, that is clear. I don't remember when the update has been installed,
so I can't tell if server has been rebooted since then.

> Did you reboot that machine after updating the kernel?

box:~ # uptime
12:20am up 103 days, 15:23, 1 user, load average: 0.05, 0.26, 0.14

I guess that will be the point. I can't reboot it right
now (it's not my server), but I'll try ASAP. Thanks for
the hint: this is quite logical!

regards,
Olivier

< Previous Next >
Follow Ups